Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225439 - Emacs produces too much debugging output on console
Summary: Emacs produces too much debugging output on console
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Coldwell
QA Contact:
URL:
Whiteboard:
Depends On: 225502 225503
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 17:01 UTC by Karl MacMillan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-31 03:11:44 UTC


Attachments (Terms of Use)

Description Karl MacMillan 2007-01-30 17:01:47 UTC
Description of problem:

The latest emacs (gtk based) produces a lot of console debugging output - e.g.:

(emacs:6694): Pango-WARNING **: /usr/lib/pango/1.6.0/modules/pango-basic-fc.so:
cannot open shared object file: No such file or directory

(emacs:6694): Pango-WARNING **: /usr/lib/pango/1.6.0/modules/pango-basic-fc.so:
cannot open shared object file: No such file or directory

** (emacs:6694): WARNING **: failure: no device event controller found.

** (emacs:6694): WARNING **: failure: no device event controller found.

These (seem) to be harmless, but it makes it impossible to start emacs from a
term and continue to use that term for other tasks (my normal workflow).

Version-Release number of selected component (if applicable):

emacs-22.0.93-5.fc7

How reproducible:

Always

Steps to Reproduce:
1. Start emacs on a terminal

Actual results:

See above

Expected results:

No output to the terminal.

Comment 1 Chip Coldwell 2007-01-30 19:12:42 UTC
(In reply to comment #0)
> Description of problem:
> 
> The latest emacs (gtk based) produces a lot of console debugging output - e.g.:
> 
> (emacs:6694): Pango-WARNING **: /usr/lib/pango/1.6.0/modules/pango-basic-fc.so:
> cannot open shared object file: No such file or directory
> 
> (emacs:6694): Pango-WARNING **: /usr/lib/pango/1.6.0/modules/pango-basic-fc.so:
> cannot open shared object file: No such file or directory

I think this is a Pango bug -- or at least a change in packaging.  What does
"rpm -ql pango" show?

Chip



Comment 2 Karl MacMillan 2007-01-30 19:40:38 UTC
Note that the pango messages were just an example - other messages are produced
that make the term unusable.

rpm output below - there is no pango-basic-fc.so.

[kmacmill@localhost ~]$ rpm -ql pango
/etc/pango
/etc/pango/i686-redhat-linux-gnu
/etc/pango/pangox.aliases
/usr/bin/pango-querymodules-32
/usr/lib/libpango-1.0.so.0
/usr/lib/libpango-1.0.so.0.1504.1
/usr/lib/libpangocairo-1.0.so.0
/usr/lib/libpangocairo-1.0.so.0.1504.1
/usr/lib/libpangoft2-1.0.so.0
/usr/lib/libpangoft2-1.0.so.0.1504.1
/usr/lib/libpangox-1.0.so.0
/usr/lib/libpangox-1.0.so.0.1504.1
/usr/lib/libpangoxft-1.0.so.0
/usr/lib/libpangoxft-1.0.so.0.1504.1
/usr/lib/pango
/usr/lib/pango/1.6.0
/usr/lib/pango/1.6.0/modules
/usr/lib/pango/1.6.0/modules/pango-arabic-fc.so
/usr/lib/pango/1.6.0/modules/pango-arabic-lang.so
/usr/lib/pango/1.6.0/modules/pango-basic-x.so
/usr/lib/pango/1.6.0/modules/pango-hangul-fc.so
/usr/lib/pango/1.6.0/modules/pango-hebrew-fc.so
/usr/lib/pango/1.6.0/modules/pango-indic-fc.so
/usr/lib/pango/1.6.0/modules/pango-indic-lang.so
/usr/lib/pango/1.6.0/modules/pango-khmer-fc.so
/usr/lib/pango/1.6.0/modules/pango-syriac-fc.so
/usr/lib/pango/1.6.0/modules/pango-thai-fc.so
/usr/lib/pango/1.6.0/modules/pango-thai-lang.so
/usr/lib/pango/1.6.0/modules/pango-tibetan-fc.so
/usr/share/doc/pango-1.15.5
/usr/share/doc/pango-1.15.5/AUTHORS
/usr/share/doc/pango-1.15.5/COPYING
/usr/share/doc/pango-1.15.5/ChangeLog
/usr/share/doc/pango-1.15.5/HELLO.txt
/usr/share/doc/pango-1.15.5/README
/usr/share/man/man1/pango-querymodules.1.gz

Comment 3 Karl MacMillan 2007-01-30 19:43:19 UTC
BTW - rpm version is pango-1.15.5-1.fc7

Comment 4 Chip Coldwell 2007-01-30 20:45:28 UTC
(In reply to comment #2)
> Note that the pango messages were just an example - other messages are produced
> that make the term unusable.
> 
> rpm output below - there is no pango-basic-fc.so.

But I'll bet it is listed in

/etc/pango/i686-redhat-linux-gnu/pango.modules

Chip


Comment 5 Karl MacMillan 2007-01-30 21:04:20 UTC
Chip,

It was in /etc/pango/i686-redhat-linux-gnu/pango.modules. Running
pango-querymodules-32 and directing the output to pango.modules fixes that
particular message.

Comment 6 Chip Coldwell 2007-01-30 21:31:57 UTC
The other message,

** (emacs:6694): WARNING **: failure: no device event controller found.

is coming from at-spi (/usr/lib/gtk-2.0/modules/libatk-bridge.so via
/usr/lib/libcspi.so.0).

Try unsetting 

Desktop->Preferences->Accessibility->Assistive technology support preference

and see if the warning goes away.

Chip


Comment 7 Karl MacMillan 2007-01-30 21:41:41 UTC
That changes the message to (different line number):

** (emacs:24838): WARNING **: failure: no device event controller found.

This always happens when changing focus off of emacs and back on.

Comment 8 Chip Coldwell 2007-01-30 21:44:25 UTC
(In reply to comment #7)
> That changes the message to (different line number):

I think that's a PID, not a line number.

> ** (emacs:24838): WARNING **: failure: no device event controller found.
> 
> This always happens when changing focus off of emacs and back on.

Is at-spi-registryd running?

Chip


Comment 9 Karl MacMillan 2007-01-30 21:57:39 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > That changes the message to (different line number):
> 
> I think that's a PID, not a line number.
> 

Right you are.

> > ** (emacs:24838): WARNING **: failure: no device event controller found.
> > 
> > This always happens when changing focus off of emacs and back on.
> 
> Is at-spi-registryd running?
> 

Nope:

[kmacmill@localhost ~]$ ps -aef | grep at-spi-registryd
kmacmill 25074 25045  0 16:57 pts/1    00:00:00 grep at-spi-registryd





Comment 10 Chip Coldwell 2007-01-30 22:04:10 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > (In reply to comment #7)
> > > That changes the message to (different line number):
> > 
> > I think that's a PID, not a line number.
> > 
> 
> Right you are.
> 
> > > ** (emacs:24838): WARNING **: failure: no device event controller found.
> > > 
> > > This always happens when changing focus off of emacs and back on.
> > 
> > Is at-spi-registryd running?
> > 
> 
> Nope:
> 
> [kmacmill@localhost ~]$ ps -aef | grep at-spi-registryd
> kmacmill 25074 25045  0 16:57 pts/1    00:00:00 grep at-spi-registryd

Well, really I think I'm out of my depth here -- I don't know how at-spi is
supposed to work but clearly the bug is there and not in emacs.  I suggest we
split this bug into two bugs:

One against pango, for shipping with a broken default
/etc/pango/i686-redhat-linux-gnu/pango.modules

One against at-spi, for emitting this warning when no assitive technologies are
in use (I'm making an assumption here -- are you using a screenreader or some
such?).

Chip


Comment 11 Chip Coldwell 2007-01-30 22:11:34 UTC
(In reply to comment #10)
> 
> One against at-spi, for emitting this warning when no assitive technologies are
> in use (I'm making an assumption here -- are you using a screenreader or some
> such?).

In fact, we could probably verify that this is a bug in at-spi by launching some
other gtk2 application that links to this library from a terminal window.  Try
gnome-calculator, for example.

Chip


Comment 12 Karl MacMillan 2007-01-30 22:43:38 UTC
Chip,

No screenreader and I verified that at-spi will print this warning with other
gtk2 applications. I went ahead and split the bug.

Comment 13 Chip Coldwell 2007-01-31 03:11:13 UTC
(In reply to comment #12)
> 
> No screenreader and I verified that at-spi will print this warning with other
> gtk2 applications. I went ahead and split the bug.

Thank you.  BTW, apropos bug 225611, do you ever have problems resizing the
emacs window running on rawhide?

Chip



Comment 14 Chip Coldwell 2007-01-31 03:11:44 UTC
Resolving: NOTABUG; at least, not a bug in emacs.

Chip



Note You need to log in before you can comment on or make changes to this bug.